# Uses of Class
xg.Validator.ValidatorOptions

Packages that use Validator.ValidatorOptions
Package
Description
xg

## Uses of Validator.ValidatorOptions in xg

Fields in xg with type parameters of type Validator.ValidatorOptions
Modifier and Type
Field
Description
`static final Parser<Validator.ValidatorOptions>`
Validator.ValidatorOptions.`PARSER`
Deprecated.
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.FieldOptions,Validator.ValidatorOptions>`
Validator.`validator`
`extend .google.protobuf.FieldOptions { ...`
Methods in xg that return Validator.ValidatorOptions
Modifier and Type
Method
Description
`Validator.ValidatorOptions`
Validator.ValidatorOptions.Builder.`build()`
`Validator.ValidatorOptions`
Validator.ValidatorOptions.Builder.`buildPartial()`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`getDefaultInstance()`
`Validator.ValidatorOptions`
Validator.ValidatorOptions.Builder.`getDefaultInstanceForType()`
`Validator.ValidatorOptions`
Validator.ValidatorOptions.`getDefaultInstanceForType()`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseDelimitedFrom(InputStream input)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(byte[] data)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(ByteString data)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(CodedInputStream input)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(InputStream input)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(ByteBuffer data)`
`static Validator.ValidatorOptions`
Validator.ValidatorOptions.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in xg that return types with arguments of type Validator.ValidatorOptions
Modifier and Type
Method
Description
`Parser<Validator.ValidatorOptions>`
Validator.ValidatorOptions.`getParserForType()`
`static Parser<Validator.ValidatorOptions>`
Validator.ValidatorOptions.`parser()`
Methods in xg with parameters of type Validator.ValidatorOptions
Modifier and Type
Method
Description
`Validator.ValidatorOptions.Builder`
Validator.ValidatorOptions.Builder.`mergeFrom(Validator.ValidatorOptions other)`
`static Validator.ValidatorOptions.Builder`
Validator.ValidatorOptions.`newBuilder(Validator.ValidatorOptions prototype)`